## lomiri-download-manager 0.2.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(lomiri-download-manager VERSION 0.2.1 LANGUAGES CXX)

option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.DownloadManager QML compatibility layer (Qt5-only)" OFF)
option(ENABLE_DOC "Build documentation" ON)
option(ENABLE_COVERAGE "Enable coverage reports" OFF)
option(ENABLE_WERROR "Treat all build warnings as errors" ON)
option(ENABLE_QT6 "Enable building with Qt6" OFF)
option(USE_SYSTEMD "Install systemd service" ON)

if (ENABLE_QT6 AND ENABLE_UBUNTU_COMPAT)
    message (FATAL_ERROR "Ubuntu QML compat (ENABLE_UBUNTU_COMPAT) mode is not available for Qt6 builds (ENABLE_QT6)!")
endif ()

if (ENABLE_QT6)
    message("Building with Qt6")
    set (QT_VERSION_MAJOR 6)
    set (QT_SUFFIX "-qt6")
else ()
    message("Building with Qt5")
    set (QT_VERSION_MAJOR 5)
endif ()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++17 -fPIC -pthread")

# for dh_translations to extract the domain
# (regarding syntax consistency, see http://pad.lv/1181187)
set (GETTEXT_PACKAGE "lomiri-download-manager")
add_definitions(-DI18N_DOMAIN="${GETTEXT_PACKAGE}")

# Standard install paths
include(GNUInstallDirs)

find_package(QT NAMES Qt${QT_VERSION_MAJOR})
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core DBus Network Qml Quick Sql Test)
if (ENABLE_QT6)
    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS StateMachine)
endif ()

set(QT_INSTALL_QML "${CMAKE_INSTALL_FULL_LIBDIR}/qt${QT_VERSION_MAJOR}/qml")
set(QT_INSTALL_FULL_INCLUDEDIR "${CMAKE_INSTALL_FULL_INCLUDEDIR}/${CMAKE_LIBRARY_ARCHITECTURE}/qt${QT_VERSION_MAJOR}")

# Library API version, only adjust if API/ABI of the various shared libs provided by LDM changes.
# Don't change the API version on new releases. The project version is unrelated to this!!!
set(LDM_VERSION_MAJOR 0)
set(LDM_VERSION_MINOR 1)
set(LDM_VERSION_PATCH 3)

file(GLOB_RECURSE I18N_CPP_SRC_FILES
     RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
     src/**.cpp)
list(SORT I18N_CPP_SRC_FILES)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)

find_package(Boost COMPONENTS log program_options REQUIRED)
find_package(glog REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(DBUS REQUIRED dbus-1)
pkg_check_modules(LOMIRI_API REQUIRED liblomiri-api)
pkg_check_modules(APPARMOR REQUIRED libapparmor)

if(USE_SYSTEMD)
    pkg_check_modules(SYSTEMD systemd)
    if (NOT SYSTEMD_FOUND)
        message(FATAL_ERROR "systemd pkg-config not found (required for figuring out service install location)")
    endif()

    pkg_get_variable(SYSTEMD_USER_DIR systemd systemduserunitdir)
endif()

include(CTest)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -pipe -std=c++17 -O2 -Wall -W -D_REENTRANT -fPIC -pedantic -Wextra")
add_definitions("-DNDEBUG")

if(ENABLE_WERROR)
    add_compile_options("-Werror")

    # We make use of QNetworkConfiguration{,Manager} which are deprecated in
    # Qt 5.15, yet the replacement is available in Qt 6.1 and up. I don't feel
    # like its worth it looking into replacement now, lets turn it to
    # non-fatal warnings.
    add_compile_options("-Wno-error=deprecated-declarations")
endif()

if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "Setting build type to 'RelWithDebInfo' as none was specified.")
    set(CMAKE_BUILD_TYPE RelWithDebInfo)
endif()

string(TOLOWER "${CMAKE_BUILD_TYPE}" cmake_build_type_lower)

if(cmake_build_type_lower MATCHES relwithdebinfo) # workaround for http://pub    lic.kitware.com/Bug/view.php?id=14696
    add_definitions(-DQT_NO_DEBUG)
endif()

add_subdirectory(src)
if(BUILD_TESTING)

    if (ENABLE_COVERAGE)
        find_package(CoverageReport)
        #####################################################################
        # Enable code coverage calculation with gcov/gcovr/lcov
        # Usage:
        #  * Switch build type to coverage (use ccmake or cmake-gui)
        #  * Invoke make, make test, make coverage
        #  * Find html report in subdir coveragereport
        #  * Find xml report feasible for jenkins in coverage.xml
        #####################################################################
        IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
            SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
            SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
            SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -coverage" )
            SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -coverage" )
            ENABLE_COVERAGE_REPORT(TARGETS ${DIALER_APP})
        ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
    endif ()

    add_subdirectory(tests)

endif()

if(ENABLE_DOC)
  add_subdirectory(docs)
endif(ENABLE_DOC)

add_subdirectory(po)

=== po/CMakeLists.txt ===
project(lomiri-download-manager-translations)

include(FindGettext)
find_program(GETTEXT_XGETTEXT_EXECUTABLE xgettext)

set(DOMAIN ${GETTEXT_PACKAGE})
set(POT_FILE ${DOMAIN}.pot)
file(GLOB PO_FILES *.po)

add_custom_target(${POT_FILE}
                  COMMAND ${GETTEXT_XGETTEXT_EXECUTABLE} -o ${POT_FILE}
                          -D ${CMAKE_SOURCE_DIR}
                          --from-code=UTF-8
                          --c++ --qt --add-comments=TRANSLATORS
                          --keyword=_
                          -j
                          --package-name=lomiri-download-manager
                          --copyright-holder='Canonical Ltd.'
                          ${I18N_CPP_SRC_FILES})

foreach(PO_FILE ${PO_FILES})
    get_filename_component(LANG ${PO_FILE} NAME_WE)
    gettext_process_po_files(${LANG} ALL PO_FILES ${PO_FILE})
    set(INSTALL_DIR ${CMAKE_INSTALL_FULL_LOCALEDIR}/${LANG}/LC_MESSAGES)
    install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${LANG}.gmo
            DESTINATION ${INSTALL_DIR}
            RENAME ${DOMAIN}.mo)
endforeach(PO_FILE)

=== tests/uploads/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(daemon)

=== src/downloads/client/CMakeLists.txt ===
add_definitions(-DBOOST_LOG_DYN_LINK)

set(TARGET lomiri-download-manager-client${QT_SUFFIX})

set(SOURCES
        lomiri/download_manager/download_impl.cpp
        lomiri/download_manager/download_interface.cpp
        lomiri/download_manager/downloads_list_impl.cpp
        lomiri/download_manager/download_pendingcall_watcher.cpp
        lomiri/download_manager/error.cpp
        lomiri/download_manager/group_download.cpp
        lomiri/download_manager/logging/logger.cpp
        lomiri/download_manager/manager.cpp
        lomiri/download_manager/manager_impl.cpp
        lomiri/download_manager/manager_interface.cpp
        lomiri/download_manager/manager_pendingcall_watcher.cpp
        lomiri/download_manager/pending_call_watcher.cpp
        lomiri/download_manager/properties_interface.cpp
)

set(PUBLIC_HEADERS
        lomiri/download_manager/download.h
        lomiri/download_manager/downloads_list.h
        lomiri/download_manager/error.h
        lomiri/download_manager/group_download.h
        lomiri/download_manager/manager.h
        lomiri/download_manager/logging/logger.h
)

set(PRIVATE_HEADERS
        lomiri/download_manager/download_impl.h
        lomiri/download_manager/download_interface.h
        lomiri/download_manager/downloads_list_impl.h
        lomiri/download_manager/download_pendingcall_watcher.h
        lomiri/download_manager/manager_impl.h
        lomiri/download_manager/manager_interface.h
        lomiri/download_manager/manager_pendingcall_watcher.h
        lomiri/download_manager/pending_call_watcher.h
        lomiri/download_manager/properties_interface.cpp
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${Boost_INCLUDE_DIRS})
include_directories(${CMAKE_SOURCE_DIR}/src/common/public)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/common)

add_library(${TARGET} SHARED
        ${SOURCES}
        ${PUBLIC_HEADERS}
        ${PRIVATE_HEADERS}
)

set(symbol_map "${CMAKE_SOURCE_DIR}/src/downloads/client/symbols.map")
set_target_properties(
        ${TARGET}

        PROPERTIES
        LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}"
        LINK_DEPENDS ${symbol_map}
        VERSION ${LDM_VERSION_MAJOR}.${LDM_VERSION_MINOR}.${LDM_VERSION_PATCH}
        SOVERSION ${LDM_VERSION_MAJOR}
)

target_link_libraries(${TARGET}
        ${Boost_LIBRARIES}
        Qt::DBus
        ldm-common${QT_SUFFIX}
        lomiri-download-manager-common${QT_SUFFIX}
)

configure_file(lomiri-download-manager-client.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
install(FILES ${PUBLIC_HEADERS} DESTINATION ${QT_INSTALL_FULL_INCLUDEDIR}/lomiri/download_manager)

=== src/downloads/common/CMakeLists.txt ===
set(TARGET lomiri-download-manager-common${QT_SUFFIX})

set(SOURCES
	lomiri/download_manager/download_state_struct.cpp
	lomiri/download_manager/download_struct.cpp
	lomiri/download_manager/group_download_struct.cpp
	lomiri/download_manager/system/logger.cpp
)

set(PUBLIC_HEADERS
	lomiri/download_manager/download_state_struct.h
	lomiri/download_manager/download_struct.h
	lomiri/download_manager/group_download_struct.h
	lomiri/download_manager/metatypes.h
)

set(PRIVATE_HEADERS
	lomiri/download_manager/system/logger.h
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src/common/public)

add_library(${TARGET} SHARED 
	${SOURCES}
	${PUBLIC_HEADERS}
	${PRIVATE_HEADERS}
)


set(symbol_map "${CMAKE_SOURCE_DIR}/src/downloads/common/symbols.map")
set_target_properties(
	${TARGET}

	PROPERTIES
        LINK_FLAGS "${ldflags} -Wl,--version-script,${symbol_map}"
        LINK_DEPENDS ${symbol_map}
	VERSION ${LDM_VERSION_MAJOR}.${LDM_VERSION_MINOR}.${LDM_VERSION_PATCH}
	SOVERSION ${LDM_VERSION_MAJOR}
)

target_link_libraries(${TARGET}
	Qt::DBus
	ldm-common${QT_SUFFIX}
)

configure_file(lomiri-download-manager-common.pc.in ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${TARGET}.pc DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR}/pkgconfig)
install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
install(FILES ${PUBLIC_HEADERS} DESTINATION ${QT_INSTALL_FULL_INCLUDEDIR}/lomiri/download_manager)

=== tests/downloads/qml/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

set(QML_TESTS
    test_single_download
    test_metadata
)

foreach(test ${QML_TESTS})
    # set the sources per test
    set(${test}_QML_SOURCES
            ${test}.cpp
    )

    set(${test}_QML_HEADERS
        download.h
        error.h
        manager.h
        testable_single_download.h
        ${test}.h
    )

endforeach(test)

include_directories(${DBUS_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src/common/public)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/common)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/client)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/qml)
include_directories(${CMAKE_SOURCE_DIR}/tests/common)

set(QML_TESTS_LIBS
    Qt::Core
    Qt::Sql
    Qt::DBus
    Qt::Test
    ${GMOCK_LIBRARY}
    ${GTEST_BOTH_LIBRARIES}
    ldm-common${QT_SUFFIX}
    lomiri-download-manager-common${QT_SUFFIX}
    lomiri-download-manager-test-lib
    LomiriDownloadManager
)

find_program(XVFB xvfb-run)

if(XVFB)
    set(XVFB_CMD xvfb-run -a -s "-screen 0 540x960x24")

    foreach(test ${QML_TESTS})
        # set targets, linked libs and test
        add_executable(${test}_qml
            ${${test}_QML_SOURCES}
            ${${test}_QML_HEADERS}
        )

        target_link_libraries(${test}_qml
            ${QML_TESTS_LIBS}
        )


    ADD_TEST(NAME qml_${test} COMMAND ${XVFB_CMD} ${CMAKE_CURRENT_BINARY_DIR}/${test}_qml)
    endforeach(test)
else(XVFB)
        message(WARNING "xvfb-run binary not found: qml tests will be disabled")
endif(XVFB)

=== debian/changelog ===
lomiri-download-manager (0.2.1-3build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:51 +0200

lomiri-download-manager (0.2.1-3build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:26 +0200

lomiri-download-manager (0.2.1-3) unstable; urgency=medium

  * debian/rules:
    + Re-enable tests on mips64el.
    + Build with -DENABLE_WERROR=OFF. (Closes: #1102528).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 06:24:51 +0200

lomiri-download-manager (0.2.1-2) unstable; urgency=medium

  * debian/rules:
    + Re-order build, test and install. Qt6 first, then Qt5. Esp. important for
      dh_auto_install.
    + Drop QT_SELECT variable.
    + Support skipping tests on selected architecture based on Qt version. If
      tests are skipped, don't even build the test code.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Apr 2025 00:13:35 +0200

lomiri-download-manager (0.2.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Applied upstream.
  * debian/copyright:
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 04 Apr 2025 14:13:05 +0200

lomiri-download-manager (0.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 0001_use-CMAKE_FULL_INSTALL-variables.patch. Applied upstream.
    + Add 0002_CMake-Also-build-Lomiri.DownloadManager-QML-module-a.patch.
      Also build QML Lomiri.DownloadManger module for Qt6.
  * debian/:
    + Introduce building parts of lomiri-download-manager as Qt6 variants.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 03 Apr 2025 17:14:58 +0200

=== debian/control ===
Source: lomiri-download-manager
Section: net
Priority: optional
Build-Depends: cmake,
               cmake-extras (>= 1.5-7~),
               dpkg-dev (>= 1.22.5),
               debhelper-compat (= 13),
               dh-apparmor,
               doxygen,
               dbus-test-runner,
               googletest,
               graphviz,
               libapparmor-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libdbus-1-dev,
               libqt5sql5-sqlite,
               libqt6sql6-sqlite,
               liblomiri-api-dev (>= 0.1.1),
               libgoogle-glog-dev,
               libgtest-dev (>= 1.10.0.20201025-1~),
               pkg-config,
               python3,
               qt6-base-dev,
               qt6-base-dev-tools,
               qt6-declarative-dev,
               qt6-scxml-dev,
               qml6-module-qttest,
               qtbase5-dev,
               qtdeclarative5-dev,
               qtdeclarative5-dev-tools,
               qttools5-dev-tools,
               qml-module-qttest,
               network-manager,
               rdfind,
               symlinks,
               systemd-dev,
               xvfb,
               xauth,
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <mariogrip@debian.org>,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-download-manager/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-download-manager.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-download-manager/

Package: libldm-common0t64
Provides: ${t64:Provides}
Replaces: libldm-common0
Breaks: libldm-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared library (Qt5)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library, shared between the
 client lib and the service lib.
 .
 Qt5 version of the ldm-common shared library.

Package: libldm-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared library (Qt6)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library, shared between the
 client lib and the service lib.
 .
 Qt6 version of the ldm-common shared library.

Package: libldm-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Lomiri Upload/Download Manager - development files (Qt5)
 Lomiri Uploadi/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers, shared between the client
 library and the daemon library.
 .
 Qt5 version of the LDM priv-common development files.

Package: libldm-common-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Lomiri Upload/Download Manager - development files (Qt6)
 Lomiri Uploadi/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers, shared between the client
 library and the daemon library.
 .
 Qt6 version of the LDM priv-common development files.

Package: libldm-priv-common0t64
Provides: ${t64:Provides}
Replaces: libldm-priv-common0
Breaks: libldm-priv-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared private library (Qt5)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes an auxiliary shared (but private) library.
 .
 Qt5 version of the LDM priv-common development files.

Package: libldm-priv-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Lomiri Upload/Download Manager - shared private library (Qt6)
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes an auxiliary shared (but private) library.
 .
 Qt6 version of the LDM priv-common development files.

Package: liblomiri-download-manager-common0t64
Provides: ${t64:Provides}
Replaces: liblomiri-download-manager-common0
Breaks: liblomiri-download-manager-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt5 library for Lomiri Download Manager - common shared library
 Lomiri Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.
 .
 Qt5 version of the LDM common development files.

Package: liblomiri-download-manager-common-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt6 library for Lomiri Download Manager - common shared library
 Lomiri Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.
 .
 Qt6 version of the LDM common development files.

Package: liblomiri-download-manager-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common0t64 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt5 library for Lomiri Download Manager - common development files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-common-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-0 (= ${binary:Version}),
         ${misc:Depends},
Description: Qt6 library for Lomiri Download Manager - common development files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client0t64
Provides: ${t64:Provides}
Replaces: liblomiri-download-manager-client0
Breaks: liblomiri-download-manager-client0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common0t64 (= ${binary:Version}),
         liblomiri-download-manager-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Qt5 library for Lomiri Download Manager - shared client library
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package includes the public shared library providing the API
 for implementing a service client.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-client-qt6-0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libldm-common-qt6-0 (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-0 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
Description: Qt6 library for Lomiri Download Manager - shared client library
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package includes the public shared library providing the API
 for implementing a service client.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-download-manager-common-dev (= ${binary:Version}),
         liblomiri-download-manager-client0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Breaks: lomiri-download-manager-client-dev
Replaces: lomiri-download-manager-client-dev
Description: Qt5 library for Lomiri Download Manager - client development files
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package contains the header that can be used to allow an
 application use the Lomiri Download Manager client library.
 .
 Qt5 version of the LDM client development files.

Package: liblomiri-download-manager-client-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-common-qt6-dev (= ${binary:Version}),
         liblomiri-download-manager-client-qt6-0 (= ${binary:Version}),
         qt6-base-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Description: Qt6 library for Lomiri Download Manager - client development files
 Lomiri Download Manager performs downloads from a centralized location.
 .
 This package contains the header that can be used to allow an
 application use the Lomiri Download Manager client library.
 .
 Qt6 version of the LDM client development files.

Package: liblomiri-download-manager-client-doc
Section: doc
Architecture: all
Multi-Arch: no
Depends: liblomiri-download-manager-client-dev (>= ${source:Version}),
         ${misc:Depends},
Description: QT library for Lomiri Download Manager - client documentation files
 Lomiri Upload/Download Manager performs uploads and downloads from a
 centralized location.
 .
 Documentation files for the LDM client development.

Package: liblomiri-upload-manager-common0t64
Provides: ${t64:Provides}
Replaces: liblomiri-upload-manager-common0
Breaks: liblomiri-upload-manager-common0 (<< ${source:Version})
Section: libs
Architecture: any
Multi-Arch: same
Depends: libldm-common0t64 (= ${binary:Version}),
         lomiri-download-manager-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: QT library for Lomiri Upload Manager - shared common library
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package includes the common shared library between the client lib
 and the service lib.

Package: liblomiri-upload-manager-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libldm-common-dev (= ${binary:Version}),
         liblomiri-upload-manager-common0t64 (= ${binary:Version}),
         qtbase5-dev,
         ${shlibs:Depends},
         ${misc:Depends},
Description: QT library for Lomiri Upload Manager - common development files
 Lomiri Upload Manager performs uploads from a centralized location.
 .
 This package contains the common headers shared between the client
 library and the daemon library.

Package: lomiri-download-manager

## lomiri-download-manager 0.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.5)
 
-project(lomiri-download-manager VERSION 0.2.1 LANGUAGES CXX)
+project(lomiri-download-manager VERSION 0.2.2 LANGUAGES CXX)
 
 option(ENABLE_UBUNTU_COMPAT "Enable Ubuntu.DownloadManager QML compatibility layer (Qt5-only)" OFF)
 option(ENABLE_DOC "Build documentation" ON)

=== docs/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Thomas Voss <thomas.voss@canonical.com>

add_custom_target(doc ALL)

find_package(Doxygen)

if(DOXYGEN_FOUND)
  configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in 
    ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(cppdoc ALL 
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating API documentation with Doxygen" VERBATIM)
  install(
    DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html
    DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR}/cpp)
  add_dependencies(doc cppdoc)
endif(DOXYGEN_FOUND)

add_subdirectory(qml)
add_subdirectory(man)

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
                           --from-code=UTF-8
                           --c++ --qt --add-comments=TRANSLATORS
                           --keyword=_
-                          -j
                           --package-name=lomiri-download-manager
                           --copyright-holder='Canonical Ltd.'
                           ${I18N_CPP_SRC_FILES})

=== src/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(common)
add_subdirectory(downloads)

# Below parts of LDM are not required by Morph Browser Qt6 (first app to be ported to Qt6),
# so skip Qt6-porting of below LDM parts for now.
if (NOT ENABLE_QT6)
    add_subdirectory(extractor)
    add_subdirectory(uploads)
endif ()

=== tests/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

find_package(GMock REQUIRED)
include_directories(${GMOCK_INCLUDE_DIR} ${GTEST_INCLUDE_DIR})

if(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
add_custom_target(tests-data ALL
        COMMAND cp -r ${CMAKE_SOURCE_DIR}/tests/data ${CMAKE_CURRENT_BINARY_DIR}/data
)
endif(NOT "${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")

add_subdirectory(common)
add_subdirectory(downloads)
if (NOT ENABLE_QT6)
    add_subdirectory(uploads)
    add_subdirectory(abi-compliance)
endif ()

=== docs/man/CMakeLists.txt ===
install(
  FILES
    lomiri-download-manager.1
    lomiri-upload-manager.1
  DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1/
)

=== docs/qml/CMakeLists.txt ===
# add a target to generate API documentation with qdoc 5.x
SET(QDOC_WORKS FALSE)
SET(ENV{QT_SELECT} qt5)
FIND_PROGRAM(QDOC_EXECUTABLE qdoc)
if(QDOC_EXECUTABLE)
EXECUTE_PROCESS(COMMAND ${QDOC_EXECUTABLE} --version OUTPUT_VARIABLE QDOC_OUTPUT ERROR_QUIET)
string(REGEX REPLACE "qdoc ([0-9]+(\\.[0-9]+)+).*" "\\1" QDOC_VERSION ${QDOC_OUTPUT})
if(QDOC_VERSION MATCHES "^5\\.")
set(QDOC_WORKS TRUE)
endif()
endif(QDOC_EXECUTABLE)
if(QDOC_WORKS)
message(STATUS "Check for working qdoc: ${QDOC_EXECUTABLE} (version: \"${QDOC_VERSION}\") -- works")
elseif(QDOC_EXECUTABLE)
message(FATAL_ERROR "Check for working qdoc: ${QDOC_EXECUTABLE} -- does not work")
else()
message(FATAL_ERROR "Check for working qdoc: not found")
endif(QDOC_WORKS)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/lomiri-download-manager.qdocconf.in ${CMAKE_CURRENT_BINARY_DIR}/lomiri-download-manager.qdocconf @ONLY)
add_custom_target(qmldoc
${QDOC_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/lomiri-download-manager.qdocconf
WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
COMMENT "Generating QML API documentation with qdoc" VERBATIM
)

# copy stylesheet files into build directory for shadow builds
file(COPY "${CMAKE_CURRENT_SOURCE_DIR}/css"
    DESTINATION ${CMAKE_CURRENT_BINARY_DIR}
    )

install(
  DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}/html/
  DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR}/qml/html
)

add_dependencies(doc qmldoc)

=== src/downloads/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(client)
add_subdirectory(common)
add_subdirectory(priv)
add_subdirectory(qml)

# Below parts of LDM are not required by Morph Browser Qt6 (first app to be ported to Qt6),
# so skip Qt6-porting of below LDM parts for now.
if (NOT ENABLE_QT6)
    add_subdirectory(daemon)
    add_subdirectory(test-daemon)
endif ()

# The UBUNTU_COMPAT part is only required for Qt5 apps in Ubuntu Touch, so skipping it
# on Qt6 builds.
if(ENABLE_UBUNTU_COMPAT AND NOT ENABLE_QT6)
    add_subdirectory(qml-compat)
endif ()

=== src/extractor/CMakeLists.txt ===
set(TARGET ldm-extractor)

set(SOURCES
    lomiri/downloads/extractor/deflator.cpp
    lomiri/downloads/extractor/factory.cpp
    lomiri/downloads/extractor/main.cpp
    lomiri/downloads/extractor/unzip.cpp
)

set(HEADERS
    lomiri/downloads/extractor/deflator.h
    lomiri/downloads/extractor/factory.h
    lomiri/downloads/extractor/unzip.h
)

include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src/common/priv)

add_executable(${TARGET}
	${HEADERS}
	${SOURCES}
)

target_link_libraries(${TARGET}
	glog::glog
	Qt::Core
	${Boost_LIBRARIES}
	ldm-priv-common
)

install(TARGETS ${TARGET} DESTINATION ${CMAKE_INSTALL_FULL_LIBEXECDIR}/lomiri-download-manager)

=== src/uploads/CMakeLists.txt ===
# Copyright © 2013 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(common)
add_subdirectory(daemon)
add_subdirectory(priv)

=== tests/common/CMakeLists.txt ===
set(TARGET lomiri-download-manager-test-lib)

set(SOURCES
        base_testcase.cpp
        daemon_testcase.cpp
        local_tree_testcase.cpp
        testing_interface.cpp
)

set(HEADERS
        apparmor.h
        base_testcase.h
        daemon_testcase.h
        dbus_connection.h
        file_manager.h
        local_tree_testcase.h
        matchers.h
        network_reply.h
        process.h
        process_factory.h
        request_factory.h
        testing_interface.h
        uuid_factory.h
)

include_directories(${DBUS_INCLUDE_DIRS})
include_directories(${GTEST_INCLUDE_DIRS})
include_directories(${GMOCK_INCLUDE_DIRS})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})
include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_SOURCE_DIR}/src/common/public)
include_directories(${CMAKE_SOURCE_DIR}/src/common/priv)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/common)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/client)
include_directories(${CMAKE_SOURCE_DIR}/src/downloads/priv)

add_library(${TARGET} STATIC
    ${HEADERS}
    ${SOURCES}
)

target_link_libraries(${TARGET}
    Qt::Core
    Qt::Sql
    Qt::DBus
    Qt::Test
    ${GMOCK_LIBRARIES}
    ${GTEST_BOTH_LIBRARIES}
    ldm-common${QT_SUFFIX}
    ldm-priv-common${QT_SUFFIX}
    lomiri-download-manager-common${QT_SUFFIX}
    lomiri-download-manager-client${QT_SUFFIX}
)

# Workaround CMake bug [1]. This is actually worked around in cmake-extras
# already [2], but don't know why it doesn't work here.
# [1] https://gitlab.kitware.com/cmake/cmake/-/issues/25766
# [2] https://gitlab.com/ubports/development/core/cmake-extras/-/merge_requests/18
#     https://gitlab.com/ubports/development/core/cmake-extras/-/merge_requests/19
add_dependencies(${TARGET} GMock)

=== tests/downloads/CMakeLists.txt ===
# Copyright © 2014 Canonical Ltd.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 3 as
# published by the Free Software Foundation.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Authored by: Manuel de la Peña <manuel.delapena@canonical.com>

add_subdirectory(client)
add_subdirectory(qml)

# Below parts of LDM are not required by Morph Browser Qt6 (first app to be ported to Qt6),
# so skip Qt6-porting of below LDM parts for now.
if (NOT ENABLE_QT6)
    add_subdirectory(daemon)
endif ()

=== debian/changelog ===
lomiri-download-manager (0.2.2-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + In B-D:, switch from pkg-config to pkgconf. Thanks, lintian.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 23 Sep 2025 08:17:01 +0200

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                liblomiri-api-dev (>= 0.1.1),
                libgoogle-glog-dev,
                libgtest-dev (>= 1.10.0.20201025-1~),
-               pkg-config,
+               pkgconf,
                python3,
                qt6-base-dev,
                qt6-base-dev-tools,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DPKG_GENSYMBOLS_CHECK_LEVEL=4

include /usr/share/dpkg/architecture.mk

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

BUILDHOME=$(CURDIR)/debian/build

# Skip tests on architectures where tests are being flaky, timeout, etc.
TESTSKIP_ARCHITECTURES_QT6 :=
TESTSKIP_ARCHITECTURES_QT5 :=

CONFIGURE_OPTS_QT5 := -DENABLE_QT6=OFF -DENABLE_DOC=ON  -DENABLE_WERROR=OFF
CONFIGURE_OPTS_QT6 := -DENABLE_QT6=ON  -DENABLE_DOC=OFF -DENABLE_WERROR=OFF

ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
    CONFIGURE_OPTS_QT5 += -DBUILD_TESTING=ON
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT6)))
    CONFIGURE_OPTS_QT6 += -DBUILD_TESTING=ON
endif

%:
	dh $@

override_dh_clean:
	dh_clean
	rm -rfv $(BUILDHOME)
	rm -fv results.txt

override_dh_auto_configure:
	dh_auto_configure --builddirectory=build-qt6 --buildsystem=cmake -- $(CONFIGURE_OPTS_QT6) -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DENABLE_UBUNTU_COMPAT=OFF
	dh_auto_configure --builddirectory=build-qt5 --buildsystem=cmake -- $(CONFIGURE_OPTS_QT5) -DCMAKE_INSTALL_LIBEXECDIR=/usr/lib/$(DEB_HOST_MULTIARCH) -DENABLE_UBUNTU_COMPAT=OFF

override_dh_auto_build:
	dh_auto_build --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_build --builddirectory=build-qt5 --buildsystem=cmake

override_dh_auto_test:
	mkdir -p $(BUILDHOME)
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT6)))
#	HOME=$(BUILDHOME) xvfb-run -a dh_auto_test --builddirectory=build-qt6 --buildsystem=cmake
endif
ifeq (,$(filter $(DEB_HOST_ARCH),$(TESTSKIP_ARCHITECTURES_QT5)))
	HOME=$(BUILDHOME) xvfb-run -a dh_auto_test --builddirectory=build-qt5 --buildsystem=cmake
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_install --builddirectory=build-qt5 --buildsystem=cmake
	rm -v debian/tmp/usr/lib/*/libldm-priv-common.so
	rm -v debian/tmp/usr/lib/*/libldm-priv-common-qt6.so

override_dh_auto_clean:
	dh_auto_clean --builddirectory=build-qt6 --buildsystem=cmake
	dh_auto_clean --builddirectory=build-qt5 --buildsystem=cmake

override_dh_install:
	# liblomiri-download-manager-client-doc
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	mv $(CURDIR)/debian/tmp/usr/share/doc/lomiri-download-manager/cpp/* $(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/
	find "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/" -name *.md5 -delete
	rdfind -makesymlinks true "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	symlinks -rc "$(CURDIR)/debian/tmp/usr/share/doc/liblomiri-download-manager-client-doc/"
	# qml-module-lomiri-downloadmanager
	mkdir -p "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	mv $(CURDIR)/debian/tmp/usr/share/doc/lomiri-download-manager/qml/* $(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/
	find "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/" -name *.md5 -delete
	rdfind -makesymlinks true "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	symlinks -rc "$(CURDIR)/debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/"
	# this directory is empty...
	rmdir debian/tmp/usr/share/doc/qml-module-lomiri-downloadmanager-doc/html/images/
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_installdeb:
	dh_apparmor --profile-name=usr.lib.lomiri-download-manager.ldm-extractor -plomiri-download-manager
	dh_installdeb

override_dh_installchangelogs:
	dh_installchangelogs NEWS

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
